## libnginx-mod-http-auth-spnego 1.1.3

=== Makefile ===

NAME=ngx_http_auth_spnego_module
VERSION=1.0.0

NPKG=$(NAME)-$(VERSION)
NHEAD=$(NAME)-HEAD
NCURRENT=$(NAME)-current

GIT-FILES:=$(shell git ls-files | grep -v ChangeLog)
FILES=ChangeLog $(GIT-FILES)

ChangeLog: $(GIT-FILES)
	git log | sed 1d> "$@"

arch-release:
	rm -f ../$(NPKG).tar.gz ../$(NPKG).zip
	scripts/link-files-to .tmp/$(NPKG) $(FILES)
	git log > .tmp/$(NPKG)/ChangeLog
	tar cvzf ../$(NPKG).tar.gz -C .tmp $(NPKG)
	cd .tmp && zip -r ../../$(NPKG).zip $(NPKG)
	rm -rf .tmp

arch-current:
	rm -f ../$(NCURRENT).tar.gz ../$(NCURRENT).zip
	scripts/link-files-to .tmp/$(NCURRENT) $(FILES)
	git log > .tmp/$(NCURRENT)/ChangeLog
	tar cvzf ../$(NCURRENT).tar.gz -C .tmp $(NCURRENT)
	cd .tmp && zip -r ../../$(NCURRENT).zip $(NCURRENT)
	rm -rf .tmp

arch-head:
	rm -f ../$(NNHEAD).tar.gz ../$(NHEAD).zip
	git archive --format=zip --prefix=$(NHEAD)/ HEAD > ../$(NHEAD).zip
	git archive --format=tar --prefix=$(NHEAD)/ HEAD | gzip > ../$(NHEAD).tar.gz

clean:
	rm -f *~

## libnginx-mod-http-auth-spnego 1.1.2

=== debian/changelog ===
libnginx-mod-http-auth-spnego (1.1.2-2) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Mon, 10 Feb 2025 15:15:27 +0100

libnginx-mod-http-auth-spnego (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: 1032835)

 -- David Härdeman <david@hardeman.nu>  Tue, 14 Jan 2025 00:46:16 +0100

=== debian/control ===
Source: libnginx-mod-http-auth-spnego
Section: httpd
Priority: optional
Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>
Uploaders: Jérémy Lal <kapouer@melix.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-nginx,
               libkrb5-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/stnoonan/spnego-http-auth-nginx-module
Vcs-Git: https://salsa.debian.org/nginx-team/libnginx-mod-http-auth-spnego.git
Vcs-Browser: https://salsa.debian.org/nginx-team/libnginx-mod-http-auth-spnego
Rules-Requires-Root: no

Package: libnginx-mod-http-auth-spnego
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: nginx,
Description: SPNEGO authentication module for Nginx
 This module enables authentication using the Simple and Protected GSSAPI
 Negotiation Mechanism (SPNEGO, RFC4559).
 .
 Currently, the only supported mechanism is Kerberos, including unconstrained
 and constrained (S4U2Proxy) delegations.

=== debian/watch ===
version=4

opts="\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
" https://github.com/stnoonan/spnego-http-auth-nginx-module/tags .*/v?(\d\S+)\.tar\.gz

## libnginx-mod-http-auth-spnego 1.1.3

=== debian/changelog ===
libnginx-mod-http-auth-spnego (1.1.3-2) unstable; urgency=medium

  * Team upload.
  * d/watch: rewrite to version 5, use Github uscan-template
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/changelog: fix whitespace
  * d/gbp.conf: upstream-branch = upstream/latest
  * d/control: remove Rules-Requires-Root: no

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 20 Sep 2025 18:07:21 +0200

libnginx-mod-http-auth-spnego (1.1.3-1) unstable; urgency=medium

  [ David Härdeman ]
  * New upstream version.
  * Drop Debian patches which have been upstreamed.
  * Improved autopkgtests.
  * Bump standards version.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 13 May 2025 00:50:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-nginx,
                libkrb5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/stnoonan/spnego-http-auth-nginx-module
 Vcs-Git: https://salsa.debian.org/nginx-team/libnginx-mod-http-auth-spnego.git
 Vcs-Browser: https://salsa.debian.org/nginx-team/libnginx-mod-http-auth-spnego
-Rules-Requires-Root: no
 
 Package: libnginx-mod-http-auth-spnego
 Architecture: any

=== debian/tests/control ===
Tests: generic
Restrictions: allow-stderr isolation-container needs-root
Depends: curl,
         nginx,
         nginx-core,
         @,

Tests: kerberosldap
Restrictions: allow-stderr isolation-container needs-root
Depends: curl,
         nginx,
         nginx-core,
         slapd,
         ldap-utils,
         krb5-admin-server,
         krb5-kdc,
         krb5-kdc-ldap,
         libsasl2-modules-gssapi-mit,
         php-fpm,
         php-ldap,
         @,

=== debian/watch ===
Version: 5
Template: Github
Owner: stnoonan
Project: spnego-http-auth-nginx-module
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/
Pgp-Mode: none
